#pragma once
#include <vector>
#include "Graphics.h"
#include "Logger.h"
#include "Section.h"

class Scene
{
public:
	Scene() = default;
	Scene(const Scene&) = delete;

	void DrawSections(
		Graphics& gfx,
		Logger& logger) noexcept;
	~Scene() = default;
public:
	std::vector<std::unique_ptr<Section>> pSections;
};